import { PDFPageProxy } from 'pdfjs-dist';
import { Annotation } from '@vue-pdf-viewer/shared';
/**
 * Scale factors for the canvas, necessary with HiDPI displays.
 */
export declare class OutputScale {
    sx: number;
    sy: number;
    constructor();
    /**
     * @type {boolean} Returns `true` when scaling is required, `false` otherwise.
     */
    get scaled(): boolean;
    /**
     * @type {boolean} Returns `true` when scaling is symmetric,
     *   `false` otherwise.
     */
    get symmetric(): boolean;
    /**
     * @returns {boolean} Returns `true` if scaling was limited,
     *   `false` otherwise.
     */
    limitCanvas(width: number, height: number, maxPixels: number, maxDim: number, capAreaFactor?: number): boolean;
    static get pixelRatio(): number;
    static capPixels(maxPixels: number, capAreaFactor: number): number;
}
export declare const getBaseTranslation: (parentDimensions: [number, number], rotation: number, outlineWidth?: number) => [number, number];
export declare function setAnnotationPosition(page: PDFPageProxy, annotationElement: any, annotation: Annotation): void;
